Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.initialization
Class ScriptEvaluatingSettingsProcessor

    java.lang.Object
      org.gradle.initialization.ScriptEvaluatingSettingsProcessor

All Implemented Interfaces:
  SettingsProcessor

    public class ScriptEvaluatingSettingsProcessor

extends java.lang.Object
implements SettingsProcessor

Constructor Summary
`ScriptEvaluatingSettingsProcessor()`
`ScriptEvaluatingSettingsProcessor(ISettingsScriptMetaData settingsScriptMetaData, ScriptProcessorFactory scriptProcessorFactory, org.gradle.api.internal.project.ImportsReader importsReader, SettingsFactory settingsFactory)`

Method Summary
`org.gradle.api.internal.project.ImportsReader` | `getImportsReader()`
`ScriptProcessorFactory` | `getScriptProcessor()`
`SettingsFactory` | `getSettingsFactory()`
`ISettingsScriptMetaData` | `getSettingsScriptMetaData()`
`org.gradle.api.internal.SettingsInternal` | `process(ISettingsFinder settingsFinder, StartParameter startParameter, IGradlePropertiesLoader propertiesLoader)`
`void` | `setImportsReader(org.gradle.api.internal.project.ImportsReader importsReader)`
`void` | `setScriptProcessor(ScriptProcessorFactory scriptProcessorFactory)`
`void` | `setSettingsFactory(SettingsFactory settingsFactory)`
`void` | `setSettingsScriptMetaData(ISettingsScriptMetaData settingsScriptMetaData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptEvaluatingSettingsProcessor

    public ScriptEvaluatingSettingsProcessor()

### ScriptEvaluatingSettingsProcessor

    public ScriptEvaluatingSettingsProcessor(ISettingsScriptMetaData settingsScriptMetaData,
                                             ScriptProcessorFactory scriptProcessorFactory,
                                             org.gradle.api.internal.project.ImportsReader importsReader,
                                             SettingsFactory settingsFactory)

Method Detail

### process

    public org.gradle.api.internal.SettingsInternal process(ISettingsFinder settingsFinder,
                                                            StartParameter startParameter,
                                                            IGradlePropertiesLoader propertiesLoader)

  Specified by:
    `process` in interface `SettingsProcessor`

### getImportsReader

    public org.gradle.api.internal.project.ImportsReader getImportsReader()

### setImportsReader

    public void setImportsReader(org.gradle.api.internal.project.ImportsReader importsReader)

### getSettingsFactory

    public SettingsFactory getSettingsFactory()

### setSettingsFactory

    public void setSettingsFactory(SettingsFactory settingsFactory)

### setScriptProcessor

    public void setScriptProcessor(ScriptProcessorFactory scriptProcessorFactory)

### getScriptProcessor

    public ScriptProcessorFactory getScriptProcessor()

### getSettingsScriptMetaData

    public ISettingsScriptMetaData getSettingsScriptMetaData()

### setSettingsScriptMetaData

    public void setSettingsScriptMetaData(ISettingsScriptMetaData settingsScriptMetaData)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD